Security update for nginx

SUSE Security Update: Security update for nginx
Announcement ID: SUSE-SU-2020:0348-1
Rating: moderate
References: #1160682
Cross-References:CVE-2019-20372
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15-SP1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1

An update that fixes one vulnerability is now available.

Description:

This update for nginx fixes the following issues:

  • CVE-2019-20372: Fixed an HTTP request smuggling with certain error_page configurations which could have allowed unauthorized web page reads (bsc#1160682).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP1-2020-348=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-348=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (aarch64 ppc64le s390x x86_64):
    • nginx-1.14.2-6.7.1
    • nginx-debuginfo-1.14.2-6.7.1
    • nginx-debugsource-1.14.2-6.7.1
  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (noarch):
    • nginx-source-1.14.2-6.7.1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (noarch):
    • vim-plugin-nginx-1.14.2-6.7.1

References: